<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_analiseDAO.php");
$bi_analiseDAO = new Bi_analiseDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_tipo_graficoDAO.php");
$bi_tipo_graficoDAO = new Bi_tipo_graficoDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_conexaoDAO.php");
$bi_conexaoDAO = new Bi_conexaoDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_modelo_dadosDAO.php");
$bi_modelo_dadosDAO = new Bi_modelo_dadosDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_areaDAO.php");
$bi_areaDAO = new Bi_areaDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_filtroDAO.php");
$bi_filtroDAO = new Bi_filtroDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_colunas_totalizarDAO.php");
$bi_colunas_totalizarDAO = new Bi_colunas_totalizarDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_coluna_analiseDAO.php");
$bi_coluna_analiseDAO = new Bi_coluna_analiseDAO(); 
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_analise = $bi_analiseDAO->buscarBi_analise($_GET["codigo"]);
	}else{
		$bi_analise = new Bi_analise();
		$bi_analise->setGrafico(new Bi_tipo_grafico());
		$bi_analise->setConexao(new Bi_conexao());
		$bi_analise->setModelo_dados(new Bi_modelo_dados());
		$bi_analise->setArea(new Bi_area());
	}
	$listaGrafico = $bi_tipo_graficoDAO->listarTodosRegistros(); 
	$listaConexao = $bi_conexaoDAO->listarTodosRegistros(); 
	$listaModelo_dados = $bi_modelo_dadosDAO->listarTodosRegistros(); 
	$listaArea = $bi_areaDAO->listarTodosRegistros(); 
	$listabi_filtro = $bi_filtroDAO->buscarFiltro(" where analise = '".$bi_analise->getCodigo()."'"); 
	$lista_js_grid_editavelBi_filtro = array();								
	foreach($listabi_filtro as $item)			    
	{													
		array_push($lista_js_grid_editavelBi_filtro, $item->getCodigo());	
	}													
	$listabi_colunas_totalizar = $bi_colunas_totalizarDAO->buscarFiltro(" where analise = '".$bi_analise->getCodigo()."'"); 
	$lista_js_grid_editavelBi_colunas_totalizar = array();								
	foreach($listabi_colunas_totalizar as $item)			    
	{													
		array_push($lista_js_grid_editavelBi_colunas_totalizar, $item->getCodigo());	
	}													
	$listabi_coluna_analise = $bi_coluna_analiseDAO->buscarFiltro(" where analise = '".$bi_analise->getCodigo()."'"); 
	$lista_js_grid_editavelBi_coluna_analise = array();								
	foreach($listabi_coluna_analise as $item)			    
	{													
		array_push($lista_js_grid_editavelBi_coluna_analise, $item->getCodigo());	
	}													
	if (isset($_GET["grafico"]) and $_GET["grafico"] != "")
	{
		$bi_analise->setGrafico($bi_tipo_graficoDAO->buscarBi_tipo_grafico($_GET["grafico"]));
		$campo_buscar = "&grafico=".$_GET["grafico"]; 
	}
	if (isset($_GET["conexao"]) and $_GET["conexao"] != "")
	{
		$bi_analise->setConexao($bi_conexaoDAO->buscarBi_conexao($_GET["conexao"]));
		$campo_buscar = "&conexao=".$_GET["conexao"]; 
	}
	if (isset($_GET["modelo_dados"]) and $_GET["modelo_dados"] != "")
	{
		$bi_analise->setModelo_dados($bi_modelo_dadosDAO->buscarBi_modelo_dados($_GET["modelo_dados"]));
		$campo_buscar = "&modelo_dados=".$_GET["modelo_dados"]; 
	}
	if (isset($_GET["area"]) and $_GET["area"] != "")
	{
		$bi_analise->setArea($bi_areaDAO->buscarBi_area($_GET["area"]));
		$campo_buscar = "&area=".$_GET["area"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_analise/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_analise = new Bi_analise();
	$bi_analise->setCodigo($_POST['codigo']);
	$bi_analise->setNome($_POST['nome']);
	$bi_analise->setDescricao($_POST['descricao']);
	$bi_analise->setQuery($_POST['query']);
	$dateData_inclusao = new DateTime;
	$bi_analise->setData_inclusao($dateData_inclusao);
	$bi_analise->setLog($_POST['log']);
	$bi_analise->setGrafico($_POST['grafico']);
	$bi_analise->setColuna_analise_vertical($_POST['coluna_analise_vertical']);
	$bi_analise->setColunas_informarcao_analise_vertical($_POST['colunas_informarcao_analise_vertical']);
	$bi_analise->setColunas_valores_analise_vertical($_POST['colunas_valores_analise_vertical']);
	$bi_analise->setColunas_quebrar_parcial_analise_vertical($_POST['colunas_quebrar_parcial_analise_vertical']);
	$bi_analise->setCor_widget($_POST['cor_widget']);
	$bi_analise->setIcone_widget($_POST['icone_widget']);
	$bi_analise->setJson_cor_dinamica_widget($_POST['json_cor_dinamica_widget']);
	$bi_analise->setColunas_valores_ocultas_para_calculo($_POST['colunas_valores_ocultas_para_calculo']);
	$bi_analise->setTitulo_widget_grafico($_POST['titulo_widget_grafico']);
	$bi_analise->setConexao($_POST['conexao']);
	$bi_analise->setUnidade_widget($_POST['unidade_widget']);
	$bi_analise->setColunas_quebrar_media_parcial_analise_vertical($_POST['colunas_quebrar_media_parcial_analise_vertical']);
	$bi_analise->setColunas_total_analise_vertical($_POST['colunas_total_analise_vertical']);
	$bi_analise->setColunas_media_analise_vertical($_POST['colunas_media_analise_vertical']);
	$bi_analise->setColuna_latitude($_POST['coluna_latitude']);
	$bi_analise->setColuna_longitude($_POST['coluna_longitude']);
	$bi_analise->setTipo_coluna_lat_lng($_POST['tipo_coluna_lat_lng']);
	$bi_analise->setTipo_view_mapa($_POST['tipo_view_mapa']);
	$bi_analise->setModelo_dados($_POST['modelo_dados']);
	$bi_analise->setArea($_POST['area']);
	if (isset($_POST['exibir_em_analise']))
	{
		$bi_analise->setExibir_em_analise($_POST['exibir_em_analise']);
	}
	else
	{
		$bi_analise->setExibir_em_analise("0");
	}
	$bi_analise->setColunas_valores_media_parcial($_POST['colunas_valores_media_parcial']);
	$bi_analise->setColunas_valores_soma_parcial($_POST['colunas_valores_soma_parcial']);
	$bi_analise->setColunas_sequencia_ordenacao($_POST['colunas_sequencia_ordenacao']);
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_analise->setCodigo($_POST['codigo']);
		$codigo = $bi_analise->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_analiseDAO->atualizar($bi_analise);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_analiseDAO->salvar($bi_analise);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	if(isset($_POST['qtd_linhasBi_filtro']))
	{
	 	for($linha =0; $linha <= intval($_POST['qtd_linhasBi_filtro']); $linha ++)
		{
			if(isset($_POST['listtablebi_filtro'.$linha.'codigo']))
			{
				$a_codigo = explode('excluir_', $_POST['listtablebi_filtro'.$linha.'codigo']);
				if(count($a_codigo) == 1)
				{
					$bi_filtro = new Bi_filtro();
					$bi_filtro->setCodigo($_POST['listtablebi_filtro'.$linha.'codigo']);
					$bi_filtro->setAnalise($codigo); 
					$bi_filtro->setTipo($_POST['listtablebi_filtro'.$linha.'tipo']);
					$bi_filtro->setId($_POST['listtablebi_filtro'.$linha.'id']);
					$bi_filtro->setDescricao($_POST['listtablebi_filtro'.$linha.'descricao']);
					if (isset($_POST['listtablebi_filtro'.$linha.'obrigatorio']))
					{
						$bi_filtro->setObrigatorio($_POST['listtablebi_filtro'.$linha.'obrigatorio']);
					}
					else
					{
						$bi_filtro->setObrigatorio("0");
					}
					$bi_filtro->setTabela_buscar($_POST['listtablebi_filtro'.$linha.'tabela_buscar']);
					$bi_filtro->setColuna_buscar($_POST['listtablebi_filtro'.$linha.'coluna_buscar']);
					$bi_filtro->setTipo_calculo_data($_POST['listtablebi_filtro'.$linha.'tipo_calculo_data']);
					$bi_filtro->setValor_calculo_data($_POST['listtablebi_filtro'.$linha.'valor_calculo_data']);
					$bi_filtro->setTipo_dia_calculo_data($_POST['listtablebi_filtro'.$linha.'tipo_dia_calculo_data']);
					if ( (isset($_POST['listtablebi_filtro'.$linha."codigo"]) and $_POST['listtablebi_filtro'.$linha."codigo"] != "")  )
					{
						try
						{
							$retorno["status"] = true;
							$bi_filtroDAO->atualizar($bi_filtro);
						}
						catch (Exception  $e)
						{
							$retorno["mensagem"] = $e->getMessage();
							$retorno["status"] = false;
						}
					}
					else
					{
						try
						{
							$retorno["status"] = true;
							$bi_filtroDAO->salvar($bi_filtro);
						}
						catch (Exception  $e)
						{
							$retorno["mensagem"] = 'Erro na linha '.$linha.' '.$e->getMessage();
							$retorno["status"] = false;
						}
					}
				}
				elseif(count($a_codigo) > 1)
				{
					$bi_filtroDAO->excluir($bi_filtroDAO->buscarBi_filtro($a_codigo[1]));
				}
			}
		}
	}
	if(isset($_POST['qtd_linhasBi_colunas_totalizar']))
	{
	 	for($linha =0; $linha <= intval($_POST['qtd_linhasBi_colunas_totalizar']); $linha ++)
		{
			if(isset($_POST['listtablebi_colunas_totalizar'.$linha.'codigo']))
			{
				$a_codigo = explode('excluir_', $_POST['listtablebi_colunas_totalizar'.$linha.'codigo']);
				if(count($a_codigo) == 1)
				{
					$bi_colunas_totalizar = new Bi_colunas_totalizar();
					$bi_colunas_totalizar->setCodigo($_POST['listtablebi_colunas_totalizar'.$linha.'codigo']);
					$bi_colunas_totalizar->setAnalise($codigo); 
					$bi_colunas_totalizar->setNome_coluna($_POST['listtablebi_colunas_totalizar'.$linha.'nome_coluna']);
					if (isset($_POST['listtablebi_colunas_totalizar'.$linha.'totalizar']))
					{
						$bi_colunas_totalizar->setTotalizar($_POST['listtablebi_colunas_totalizar'.$linha.'totalizar']);
					}
					else
					{
						$bi_colunas_totalizar->setTotalizar("0");
					}
					if (isset($_POST['listtablebi_colunas_totalizar'.$linha.'media']))
					{
						$bi_colunas_totalizar->setMedia($_POST['listtablebi_colunas_totalizar'.$linha.'media']);
					}
					else
					{
						$bi_colunas_totalizar->setMedia("0");
					}
					$bi_colunas_totalizar->setColunas_quebra($_POST['listtablebi_colunas_totalizar'.$linha.'colunas_quebra']);
					if ( (isset($_POST['listtablebi_colunas_totalizar'.$linha."codigo"]) and $_POST['listtablebi_colunas_totalizar'.$linha."codigo"] != "")  )
					{
						try
						{
							$retorno["status"] = true;
							$bi_colunas_totalizarDAO->atualizar($bi_colunas_totalizar);
						}
						catch (Exception  $e)
						{
							$retorno["mensagem"] = $e->getMessage();
							$retorno["status"] = false;
						}
					}
					else
					{
						try
						{
							$retorno["status"] = true;
							$bi_colunas_totalizarDAO->salvar($bi_colunas_totalizar);
						}
						catch (Exception  $e)
						{
							$retorno["mensagem"] = 'Erro na linha '.$linha.' '.$e->getMessage();
							$retorno["status"] = false;
						}
					}
				}
				elseif(count($a_codigo) > 1)
				{
					$bi_colunas_totalizarDAO->excluir($bi_colunas_totalizarDAO->buscarBi_colunas_totalizar($a_codigo[1]));
				}
			}
		}
	}
	if(isset($_POST['qtd_linhasBi_coluna_analise']))
	{
	 	for($linha =0; $linha <= intval($_POST['qtd_linhasBi_coluna_analise']); $linha ++)
		{
			if(isset($_POST['listtablebi_coluna_analise'.$linha.'codigo']))
			{
				$a_codigo = explode('excluir_', $_POST['listtablebi_coluna_analise'.$linha.'codigo']);
				if(count($a_codigo) == 1)
				{
					$bi_coluna_analise = new Bi_coluna_analise();
					$bi_coluna_analise->setCodigo($_POST['listtablebi_coluna_analise'.$linha.'codigo']);
					$bi_coluna_analise->setColuna($_POST['listtablebi_coluna_analise'.$linha.'coluna']);
					$bi_coluna_analise->setTipo($_POST['listtablebi_coluna_analise'.$linha.'tipo']);
					if (isset($_POST['listtablebi_coluna_analise'.$linha.'oculto']))
					{
						$bi_coluna_analise->setOculto($_POST['listtablebi_coluna_analise'.$linha.'oculto']);
					}
					else
					{
						$bi_coluna_analise->setOculto("0");
					}
					$bi_coluna_analise->setMascara($_POST['listtablebi_coluna_analise'.$linha.'mascara']);
					$bi_coluna_analise->setAnalise($codigo); 
					if (isset($_POST['listtablebi_coluna_analise'.$linha.'utilizada_para_calculo']))
					{
						$bi_coluna_analise->setUtilizada_para_calculo($_POST['listtablebi_coluna_analise'.$linha.'utilizada_para_calculo']);
					}
					else
					{
						$bi_coluna_analise->setUtilizada_para_calculo("0");
					}
					$bi_coluna_analise->setAgregacao($_POST['listtablebi_coluna_analise'.$linha.'agregacao']);
					$bi_coluna_analise->setApelido($_POST['listtablebi_coluna_analise'.$linha.'apelido']);
					$bi_coluna_analise->setRegra_calculada($_POST['listtablebi_coluna_analise'.$linha.'regra_calculada']);
					$bi_coluna_analise->setOrdenacao($_POST['listtablebi_coluna_analise'.$linha.'ordenacao']);
					if ( (isset($_POST['listtablebi_coluna_analise'.$linha."codigo"]) and $_POST['listtablebi_coluna_analise'.$linha."codigo"] != "")  )
					{
						try
						{
							$retorno["status"] = true;
							$bi_coluna_analiseDAO->atualizar($bi_coluna_analise);
						}
						catch (Exception  $e)
						{
							$retorno["mensagem"] = $e->getMessage();
							$retorno["status"] = false;
						}
					}
					else
					{
						try
						{
							$retorno["status"] = true;
							$bi_coluna_analiseDAO->salvar($bi_coluna_analise);
						}
						catch (Exception  $e)
						{
							$retorno["mensagem"] = 'Erro na linha '.$linha.' '.$e->getMessage();
							$retorno["status"] = false;
						}
					}
				}
				elseif(count($a_codigo) > 1)
				{
					$bi_coluna_analiseDAO->excluir($bi_coluna_analiseDAO->buscarBi_coluna_analise($a_codigo[1]));
				}
			}
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_analise = $bi_analiseDAO->buscarBi_analise($_GET["codigo"]);
		$bi_analiseDAO->excluir($bi_analise);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	if (isset($_GET["grafico"]) and $_GET["grafico"] != "")
	{
		$campo_buscar = "&grafico=".$_GET["grafico"]; 
	}
	if (isset($_GET["conexao"]) and $_GET["conexao"] != "")
	{
		$campo_buscar = "&conexao=".$_GET["conexao"]; 
	}
	if (isset($_GET["modelo_dados"]) and $_GET["modelo_dados"] != "")
	{
		$campo_buscar = "&modelo_dados=".$_GET["modelo_dados"]; 
	}
	if (isset($_GET["area"]) and $_GET["area"] != "")
	{
		$campo_buscar = "&area=".$_GET["area"]; 
	}
	$listaBi_analise = $bi_analiseDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_analise/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_analise = $bi_analiseDAO->buscarBi_analise($_GET["codigo"]);
	}else{
		$bi_analise = new Bi_analise();
		$bi_analise->setGrafico(new Bi_tipo_grafico());
		$bi_analise->setConexao(new Bi_conexao());
		$bi_analise->setModelo_dados(new Bi_modelo_dados());
		$bi_analise->setArea(new Bi_area());
	}
	$listaGrafico = $bi_tipo_graficoDAO->listarTodosRegistros(); 
	$listaConexao = $bi_conexaoDAO->listarTodosRegistros(); 
	$listaModelo_dados = $bi_modelo_dadosDAO->listarTodosRegistros(); 
	$listaArea = $bi_areaDAO->listarTodosRegistros(); 
	if (isset($_GET["grafico"]) and $_GET["grafico"] != "")
	{
		$bi_analise->setGrafico($bi_tipo_graficoDAO->buscarBi_tipo_grafico($_GET["grafico"]));
		$campo_buscar = "&grafico=".$_GET["grafico"]; 
	}
	if (isset($_GET["conexao"]) and $_GET["conexao"] != "")
	{
		$bi_analise->setConexao($bi_conexaoDAO->buscarBi_conexao($_GET["conexao"]));
		$campo_buscar = "&conexao=".$_GET["conexao"]; 
	}
	if (isset($_GET["modelo_dados"]) and $_GET["modelo_dados"] != "")
	{
		$bi_analise->setModelo_dados($bi_modelo_dadosDAO->buscarBi_modelo_dados($_GET["modelo_dados"]));
		$campo_buscar = "&modelo_dados=".$_GET["modelo_dados"]; 
	}
	if (isset($_GET["area"]) and $_GET["area"] != "")
	{
		$bi_analise->setArea($bi_areaDAO->buscarBi_area($_GET["area"]));
		$campo_buscar = "&area=".$_GET["area"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_analise/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['nome']) and $_GET["nome"] != "" )
	{
		$where .= " and UPPER(nome) like '%".strtoupper($_GET['nome'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&nome=".$_GET["nome"]; 
	}
	if(isset($_POST['nome']) and $_POST["nome"] != "" )
	{
		$where .= " and UPPER(nome) like '%".strtoupper($_POST['nome'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&nome=".$_POST["nome"]; 
	}
	if(isset($_GET['descricao']) and $_GET["descricao"] != "" )
	{
		$where .= " and UPPER(descricao) like '%".strtoupper($_GET['descricao'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&descricao=".$_GET["descricao"]; 
	}
	if(isset($_POST['descricao']) and $_POST["descricao"] != "" )
	{
		$where .= " and UPPER(descricao) like '%".strtoupper($_POST['descricao'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&descricao=".$_POST["descricao"]; 
	}
	if(isset($_GET['query']) and $_GET["query"] != "" )
	{
		$where .= " and UPPER(query) like '%".strtoupper($_GET['query'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&query=".$_GET["query"]; 
	}
	if(isset($_POST['query']) and $_POST["query"] != "" )
	{
		$where .= " and UPPER(query) like '%".strtoupper($_POST['query'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&query=".$_POST["query"]; 
	}
	if(isset($_GET['data_inclusaoIni']) and $_GET['data_inclusaoIni'] != "" and $_GET['data_inclusaoFim'] != "")
	{
		$dateIni = DateTime::createFromFormat('d/m/Y H:i', $_GET['data_inclusaoIni']);
		$dateFim = DateTime::createFromFormat('d/m/Y H:i', $_GET['data_inclusaoFim']);
		$where .= " and data_inclusao >= '".$dateIni->format('Y-m-d H:i').''."'";
		$where .= " and data_inclusao <= '".$dateFim->format('Y-m-d H:i').''."'";
		$entrouEmAlgumFiltro = true;
	}
	if(isset($_POST['data_inclusaoIni']) and $_POST['data_inclusaoIni'] != "" and $_POST['data_inclusaoFim'] != "")
	{
		$dateIni = DateTime::createFromFormat('d/m/Y H:i', $_POST['data_inclusaoIni']);
		$dateFim = DateTime::createFromFormat('d/m/Y H:i', $_POST['data_inclusaoFim']);
		$where .= " and data_inclusao >= '".$dateIni->format('Y-m-d H:i').''."'";
		$where .= " and data_inclusao <= '".$dateFim->format('Y-m-d H:i').''."'";
		$entrouEmAlgumFiltro = true;
	}
	if(isset($_GET['log']) and $_GET["log"] != "" )
	{
		$where .= " and UPPER(log) like '%".strtoupper($_GET['log'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&log=".$_GET["log"]; 
	}
	if(isset($_POST['log']) and $_POST["log"] != "" )
	{
		$where .= " and UPPER(log) like '%".strtoupper($_POST['log'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&log=".$_POST["log"]; 
	}
	if(isset($_GET['grafico']) and $_GET['grafico'] != "")
	{
		$where .= " and grafico = ". $_GET['grafico'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&grafico=".$_GET["grafico"]; 
	}
	if(isset($_POST['grafico']) and $_POST['grafico'] != "")
	{
		$where .= " and grafico = ". $_POST['grafico'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&grafico=".$_POST["grafico"]; 
	}
	if(isset($_GET['coluna_analise_vertical']) and $_GET["coluna_analise_vertical"] != "" )
	{
		$where .= " and UPPER(coluna_analise_vertical) like '%".strtoupper($_GET['coluna_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_analise_vertical=".$_GET["coluna_analise_vertical"]; 
	}
	if(isset($_POST['coluna_analise_vertical']) and $_POST["coluna_analise_vertical"] != "" )
	{
		$where .= " and UPPER(coluna_analise_vertical) like '%".strtoupper($_POST['coluna_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_analise_vertical=".$_POST["coluna_analise_vertical"]; 
	}
	if(isset($_GET['colunas_informarcao_analise_vertical']) and $_GET["colunas_informarcao_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_informarcao_analise_vertical) like '%".strtoupper($_GET['colunas_informarcao_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_informarcao_analise_vertical=".$_GET["colunas_informarcao_analise_vertical"]; 
	}
	if(isset($_POST['colunas_informarcao_analise_vertical']) and $_POST["colunas_informarcao_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_informarcao_analise_vertical) like '%".strtoupper($_POST['colunas_informarcao_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_informarcao_analise_vertical=".$_POST["colunas_informarcao_analise_vertical"]; 
	}
	if(isset($_GET['colunas_valores_analise_vertical']) and $_GET["colunas_valores_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_valores_analise_vertical) like '%".strtoupper($_GET['colunas_valores_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_analise_vertical=".$_GET["colunas_valores_analise_vertical"]; 
	}
	if(isset($_POST['colunas_valores_analise_vertical']) and $_POST["colunas_valores_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_valores_analise_vertical) like '%".strtoupper($_POST['colunas_valores_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_analise_vertical=".$_POST["colunas_valores_analise_vertical"]; 
	}
	if(isset($_GET['colunas_quebrar_parcial_analise_vertical']) and $_GET["colunas_quebrar_parcial_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_quebrar_parcial_analise_vertical) like '%".strtoupper($_GET['colunas_quebrar_parcial_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_quebrar_parcial_analise_vertical=".$_GET["colunas_quebrar_parcial_analise_vertical"]; 
	}
	if(isset($_POST['colunas_quebrar_parcial_analise_vertical']) and $_POST["colunas_quebrar_parcial_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_quebrar_parcial_analise_vertical) like '%".strtoupper($_POST['colunas_quebrar_parcial_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_quebrar_parcial_analise_vertical=".$_POST["colunas_quebrar_parcial_analise_vertical"]; 
	}
	if(isset($_GET['cor_widget']) and $_GET["cor_widget"] != "" )
	{
		$where .= " and UPPER(cor_widget) like '%".strtoupper($_GET['cor_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&cor_widget=".$_GET["cor_widget"]; 
	}
	if(isset($_POST['cor_widget']) and $_POST["cor_widget"] != "" )
	{
		$where .= " and UPPER(cor_widget) like '%".strtoupper($_POST['cor_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&cor_widget=".$_POST["cor_widget"]; 
	}
	if(isset($_GET['icone_widget']) and $_GET["icone_widget"] != "" )
	{
		$where .= " and UPPER(icone_widget) like '%".strtoupper($_GET['icone_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&icone_widget=".$_GET["icone_widget"]; 
	}
	if(isset($_POST['icone_widget']) and $_POST["icone_widget"] != "" )
	{
		$where .= " and UPPER(icone_widget) like '%".strtoupper($_POST['icone_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&icone_widget=".$_POST["icone_widget"]; 
	}
	if(isset($_GET['json_cor_dinamica_widget']) and $_GET["json_cor_dinamica_widget"] != "" )
	{
		$where .= " and UPPER(json_cor_dinamica_widget) like '%".strtoupper($_GET['json_cor_dinamica_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&json_cor_dinamica_widget=".$_GET["json_cor_dinamica_widget"]; 
	}
	if(isset($_POST['json_cor_dinamica_widget']) and $_POST["json_cor_dinamica_widget"] != "" )
	{
		$where .= " and UPPER(json_cor_dinamica_widget) like '%".strtoupper($_POST['json_cor_dinamica_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&json_cor_dinamica_widget=".$_POST["json_cor_dinamica_widget"]; 
	}
	if(isset($_GET['colunas_valores_ocultas_para_calculo']) and $_GET["colunas_valores_ocultas_para_calculo"] != "" )
	{
		$where .= " and UPPER(colunas_valores_ocultas_para_calculo) like '%".strtoupper($_GET['colunas_valores_ocultas_para_calculo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_ocultas_para_calculo=".$_GET["colunas_valores_ocultas_para_calculo"]; 
	}
	if(isset($_POST['colunas_valores_ocultas_para_calculo']) and $_POST["colunas_valores_ocultas_para_calculo"] != "" )
	{
		$where .= " and UPPER(colunas_valores_ocultas_para_calculo) like '%".strtoupper($_POST['colunas_valores_ocultas_para_calculo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_ocultas_para_calculo=".$_POST["colunas_valores_ocultas_para_calculo"]; 
	}
	if(isset($_GET['titulo_widget_grafico']) and $_GET["titulo_widget_grafico"] != "" )
	{
		$where .= " and UPPER(titulo_widget_grafico) like '%".strtoupper($_GET['titulo_widget_grafico'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&titulo_widget_grafico=".$_GET["titulo_widget_grafico"]; 
	}
	if(isset($_POST['titulo_widget_grafico']) and $_POST["titulo_widget_grafico"] != "" )
	{
		$where .= " and UPPER(titulo_widget_grafico) like '%".strtoupper($_POST['titulo_widget_grafico'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&titulo_widget_grafico=".$_POST["titulo_widget_grafico"]; 
	}
	if(isset($_GET['conexao']) and $_GET['conexao'] != "")
	{
		$where .= " and conexao = ". $_GET['conexao'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&conexao=".$_GET["conexao"]; 
	}
	if(isset($_POST['conexao']) and $_POST['conexao'] != "")
	{
		$where .= " and conexao = ". $_POST['conexao'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&conexao=".$_POST["conexao"]; 
	}
	if(isset($_GET['unidade_widget']) and $_GET["unidade_widget"] != "" )
	{
		$where .= " and UPPER(unidade_widget) like '%".strtoupper($_GET['unidade_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&unidade_widget=".$_GET["unidade_widget"]; 
	}
	if(isset($_POST['unidade_widget']) and $_POST["unidade_widget"] != "" )
	{
		$where .= " and UPPER(unidade_widget) like '%".strtoupper($_POST['unidade_widget'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&unidade_widget=".$_POST["unidade_widget"]; 
	}
	if(isset($_GET['colunas_quebrar_media_parcial_analise_vertical']) and $_GET["colunas_quebrar_media_parcial_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_quebrar_media_parcial_analise_vertical) like '%".strtoupper($_GET['colunas_quebrar_media_parcial_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_quebrar_media_parcial_analise_vertical=".$_GET["colunas_quebrar_media_parcial_analise_vertical"]; 
	}
	if(isset($_POST['colunas_quebrar_media_parcial_analise_vertical']) and $_POST["colunas_quebrar_media_parcial_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_quebrar_media_parcial_analise_vertical) like '%".strtoupper($_POST['colunas_quebrar_media_parcial_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_quebrar_media_parcial_analise_vertical=".$_POST["colunas_quebrar_media_parcial_analise_vertical"]; 
	}
	if(isset($_GET['colunas_total_analise_vertical']) and $_GET["colunas_total_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_total_analise_vertical) like '%".strtoupper($_GET['colunas_total_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_total_analise_vertical=".$_GET["colunas_total_analise_vertical"]; 
	}
	if(isset($_POST['colunas_total_analise_vertical']) and $_POST["colunas_total_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_total_analise_vertical) like '%".strtoupper($_POST['colunas_total_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_total_analise_vertical=".$_POST["colunas_total_analise_vertical"]; 
	}
	if(isset($_GET['colunas_media_analise_vertical']) and $_GET["colunas_media_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_media_analise_vertical) like '%".strtoupper($_GET['colunas_media_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_media_analise_vertical=".$_GET["colunas_media_analise_vertical"]; 
	}
	if(isset($_POST['colunas_media_analise_vertical']) and $_POST["colunas_media_analise_vertical"] != "" )
	{
		$where .= " and UPPER(colunas_media_analise_vertical) like '%".strtoupper($_POST['colunas_media_analise_vertical'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_media_analise_vertical=".$_POST["colunas_media_analise_vertical"]; 
	}
	if(isset($_GET['coluna_latitude']) and $_GET["coluna_latitude"] != "" )
	{
		$where .= " and UPPER(coluna_latitude) like '%".strtoupper($_GET['coluna_latitude'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_latitude=".$_GET["coluna_latitude"]; 
	}
	if(isset($_POST['coluna_latitude']) and $_POST["coluna_latitude"] != "" )
	{
		$where .= " and UPPER(coluna_latitude) like '%".strtoupper($_POST['coluna_latitude'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_latitude=".$_POST["coluna_latitude"]; 
	}
	if(isset($_GET['coluna_longitude']) and $_GET["coluna_longitude"] != "" )
	{
		$where .= " and UPPER(coluna_longitude) like '%".strtoupper($_GET['coluna_longitude'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_longitude=".$_GET["coluna_longitude"]; 
	}
	if(isset($_POST['coluna_longitude']) and $_POST["coluna_longitude"] != "" )
	{
		$where .= " and UPPER(coluna_longitude) like '%".strtoupper($_POST['coluna_longitude'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_longitude=".$_POST["coluna_longitude"]; 
	}
	if(isset($_GET['tipo_coluna_lat_lng']) and $_GET["tipo_coluna_lat_lng"] != "" )
	{
		$where .= " and UPPER(tipo_coluna_lat_lng) like '%".strtoupper($_GET['tipo_coluna_lat_lng'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo_coluna_lat_lng=".$_GET["tipo_coluna_lat_lng"]; 
	}
	if(isset($_POST['tipo_coluna_lat_lng']) and $_POST["tipo_coluna_lat_lng"] != "" )
	{
		$where .= " and UPPER(tipo_coluna_lat_lng) like '%".strtoupper($_POST['tipo_coluna_lat_lng'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo_coluna_lat_lng=".$_POST["tipo_coluna_lat_lng"]; 
	}
	if(isset($_GET['tipo_view_mapa']) and $_GET["tipo_view_mapa"] != "" )
	{
		$where .= " and UPPER(tipo_view_mapa) like '%".strtoupper($_GET['tipo_view_mapa'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo_view_mapa=".$_GET["tipo_view_mapa"]; 
	}
	if(isset($_POST['tipo_view_mapa']) and $_POST["tipo_view_mapa"] != "" )
	{
		$where .= " and UPPER(tipo_view_mapa) like '%".strtoupper($_POST['tipo_view_mapa'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo_view_mapa=".$_POST["tipo_view_mapa"]; 
	}
	if(isset($_GET['modelo_dados']) and $_GET['modelo_dados'] != "")
	{
		$where .= " and modelo_dados = ". $_GET['modelo_dados'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&modelo_dados=".$_GET["modelo_dados"]; 
	}
	if(isset($_POST['modelo_dados']) and $_POST['modelo_dados'] != "")
	{
		$where .= " and modelo_dados = ". $_POST['modelo_dados'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&modelo_dados=".$_POST["modelo_dados"]; 
	}
	if(isset($_GET['area']) and $_GET['area'] != "")
	{
		$where .= " and area = ". $_GET['area'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&area=".$_GET["area"]; 
	}
	if(isset($_POST['area']) and $_POST['area'] != "")
	{
		$where .= " and area = ". $_POST['area'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&area=".$_POST["area"]; 
	}
	if(isset($_GET['exibir_em_analise']) and $_GET["exibir_em_analise"] != "" )
	{
		$where .= " and UPPER(exibir_em_analise) like '%".strtoupper($_GET['exibir_em_analise'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&exibir_em_analise=".$_GET["exibir_em_analise"]; 
	}
	if(isset($_POST['exibir_em_analise']) and $_POST["exibir_em_analise"] != "" )
	{
		$where .= " and UPPER(exibir_em_analise) like '%".strtoupper($_POST['exibir_em_analise'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&exibir_em_analise=".$_POST["exibir_em_analise"]; 
	}
	if(isset($_GET['colunas_valores_media_parcial']) and $_GET["colunas_valores_media_parcial"] != "" )
	{
		$where .= " and UPPER(colunas_valores_media_parcial) like '%".strtoupper($_GET['colunas_valores_media_parcial'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_media_parcial=".$_GET["colunas_valores_media_parcial"]; 
	}
	if(isset($_POST['colunas_valores_media_parcial']) and $_POST["colunas_valores_media_parcial"] != "" )
	{
		$where .= " and UPPER(colunas_valores_media_parcial) like '%".strtoupper($_POST['colunas_valores_media_parcial'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_media_parcial=".$_POST["colunas_valores_media_parcial"]; 
	}
	if(isset($_GET['colunas_valores_soma_parcial']) and $_GET["colunas_valores_soma_parcial"] != "" )
	{
		$where .= " and UPPER(colunas_valores_soma_parcial) like '%".strtoupper($_GET['colunas_valores_soma_parcial'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_soma_parcial=".$_GET["colunas_valores_soma_parcial"]; 
	}
	if(isset($_POST['colunas_valores_soma_parcial']) and $_POST["colunas_valores_soma_parcial"] != "" )
	{
		$where .= " and UPPER(colunas_valores_soma_parcial) like '%".strtoupper($_POST['colunas_valores_soma_parcial'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_valores_soma_parcial=".$_POST["colunas_valores_soma_parcial"]; 
	}
	if(isset($_GET['colunas_sequencia_ordenacao']) and $_GET["colunas_sequencia_ordenacao"] != "" )
	{
		$where .= " and UPPER(colunas_sequencia_ordenacao) like '%".strtoupper($_GET['colunas_sequencia_ordenacao'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_sequencia_ordenacao=".$_GET["colunas_sequencia_ordenacao"]; 
	}
	if(isset($_POST['colunas_sequencia_ordenacao']) and $_POST["colunas_sequencia_ordenacao"] != "" )
	{
		$where .= " and UPPER(colunas_sequencia_ordenacao) like '%".strtoupper($_POST['colunas_sequencia_ordenacao'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&colunas_sequencia_ordenacao=".$_POST["colunas_sequencia_ordenacao"]; 
	}
	$listaBi_analise = $bi_analiseDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_analise/Listar_todos_registros.php");
}
